콘텐츠로 건너뛰기

개요

디지털 배포 솔루션는새로운 엑솔라 솔루션으로 푸시 결제 기술 및 전자 상거래를 통한 결제를 기반으로 현금과 디지털을 연결하는 것을 목표로 합니다.

이 참조는 API 엔드포인트를 2개의 엑솔라 제품용으로 결합합니다. 인게임 스토어페이 스테이션. 2개의 기준 URL이 있습니다.

  • https://store.xsolla.com/api일반, 카탈로그, 장바구니, 주문 그룹용입니다.
  • https://ps.xsolla.com알림 그룹용입니다.

카탈로그 그룹의 API 엔드포인트는 권한 부여가 필요하지 않습니다.

장바구니주문 그룹의 연산 작업을 하려면 사용자 토큰 생성을 통해 토큰을 생성해야 합니다.

주의

이 참조는 향후 API 디자인을 나타내며 완전한 기능을 하는 인터페이스가 아닙니다. 현재 카탈로그알림 그룹 엔드포인트만 시도해 보실 수 있습니다. 피드백을 남기고 싶으시면 techdoc@xsolla.com으로 이메일을 보내주십시오.
OpenAPI 설명 다운로드
언어
서버
Mock server
https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/
https://store.xsolla.com/api/
작업
작업

요청

카탈로그용 게임 키를 가져옵니다.

보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
item_skustring필수

아이템 SKU.

예제: booster_mega_1
쿼리
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/items/game/key/sku/booster_mega_1?locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

게임 키가 성공적으로 수신되었습니다.

본문application/json
attributesArray of objects(Catalog_client-attributes-common)

아이템에 해당하는 속성 및 해당 값의 목록입니다. 카탈로그 필터링에 사용할 수 있습니다.

기본값 []
descriptionstring

아이템 설명.

예제: "Game description"
drm_namestring

DRM 이름.

예제: "Steam"
drm_skustring

고유 DRM ID. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.

예제: "steam"
groupsArray of objects(Catalog_inline_response_200_groups)

아이템이 속한 그룹.

예제: [{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}]
has_keysboolean

true이면 게임에 판매용 키가 있습니다.

예제: true
image_urlstring

이미지 URL.

예제: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
is_freeboolean

true이면 아이템이 무료입니다.

예제: false
is_pre_orderboolean

true인 경우 게임 키는 예약 주문이며 출시 날짜가 지나지 않은 것입니다.

예제: true
namestring

아이템 이름.

예제: "Game name"
priceobject(Catalog_inline_response_200_price)

아이템 가격.

release_datestring

ISO 8601 형식의 게임 출시 날짜.

예제: "2020-08-11T10:00:00+03:00"
skustring

고유 아이템 ID입니다. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.

예제: "game_1"
typestring

아이템 유형: game_key.

예제: "game_key"
virtual_pricesArray of objects(Catalog_inline_response_200_virtual_prices)

가상 가격.

예제: []
응답
application/json
{ "attributes": { "$ref": "#/components/examples/client-attribute-game-horror/Catalog_value" }, "description": "Game description", "drm_name": "Steam", "drm_sku": "steam", "groups": [ {}, {} ], "has_keys": true, "image_url": "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png", "is_free": false, "is_pre_order": true, "name": "Game name", "price": { "amount": "30.5", "amount_without_discount": "30.5", "currency": "USD" }, "release_date": "2020-08-11T10:00:00+03:00", "sku": "game_1", "type": "game_key", "virtual_prices": [] }

요청

카탈로그용 게임을 가져옵니다.

보안
AuthForClient
경로
project_idinteger필수

프로젝트 ID.

예제: 44056
item_skustring필수

아이템 SKU.

예제: booster_mega_1
쿼리
localestring

응답 언어. ISO 639-1에 따른 두 글자의 소문자 언어 코드.

기본값 "en"
additional_fields[]Array of strings

추가 필드 목록입니다. 이 필드는 요청보내면 응답에 포함됩니다. 사용 가능한 필드 media_list, order, long_description.

countrystring

국가는 카탈로그에 대한 지역별 가격 및 제한 사항을 계산합니다. ISO 3166-1 alpha-2에 따른 2자리 대문자 국가 코드. 국가를 명시적으로 지정하지 않으면 사용자의 IP 주소를 기준으로 계산됩니다.

기본값 "US"
curl -i -X GET \
  'https://xsolla.redocly.app/_mock/ko/api/digital-distribution-hub/v2/project/44056/items/game/sku/booster_mega_1?locale=en&additional_fields%5B%5D=string&country=US' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

응답

게임이 성공적으로 수신되었습니다.

본문application/json
attributesArray of objects(Catalog_client-attributes)

게임에 해당하는 속성 및 해당 값의 목록입니다.

주의 응답의 이 부분은 `additional_fields[]=attributes` 쿼리 매개변수를 보내는 경우에만 사용할 수 있습니다.
기본값 []
descriptionstring

아이템 설명.

예제: "Game description"
groupsArray of objects(Catalog_inline_response_200_groups)

아이템이 속한 그룹.

예제: [{"external_id":"all","name":"All games"},{"external_id":"Xsolla","name":"Xsolla games"}]
image_urlstring

이미지 URL.

예제: "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png"
namestring

아이템 이름.

예제: "Game name"
skustring

고유 아이템 ID입니다. SKU에는 소문자 라틴 영숫자, 마침표, 대시 및 밑줄만 포함될 수 있습니다.

예제: "game_1"
typestring

아이템 유형: virtual_good/virtual_currency/bundle/physical_good/unit.

예제: "unit"
unit_itemsArray of objects(Catalog_inline_response_200_unit_items)
예제: [{"drm_name":"Steam","drm_sku":"steam","has_keys":true,"is_free":false,"is_pre_order":true,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"release_date":"2020-08-11T10:00:00+03:00","sku":"game_key_01","type":"game_key","virtual_prices":[]},{"drm_name":"Origin","drm_sku":"origin","has_keys":false,"is_free":false,"is_pre_order":false,"price":{"amount":"30.5","amount_without_discount":"30.5","currency":"USD"},"sku":"game_key_02","type":"game_key","virtual_prices":[]}]
unit_typestring

단위 유형: game.

예제: "game"
응답
application/json
{ "attributes": { "$ref": "#/components/examples/client-attribute-game/Catalog_value" }, "description": "Game description", "groups": [ {}, {} ], "image_url": "https://cdn.xsolla.net/img/misc/images/b79342cdf24f0f8557b63c87e8326e62.png", "name": "Game name", "sku": "game_1", "type": "unit", "unit_items": [ {}, {} ], "unit_type": "game" }
작업
작업
작업
작업
작업